Bug 1471528 - (CVE-2017-10096) CVE-2017-10096 OpenJDK: insufficient access control checks in XML transformations (JAXP, 8172469)
CVE-2017-10096 OpenJDK: insufficient access control checks in XML transformat...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20170718,repor...
: Security
Depends On:
Blocks: 1466515
  Show dependency treegraph
 
Reported: 2017-07-16 13:05 EDT by Tomas Hoger
Modified: 2017-12-13 11:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 05:46:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2017-07-16 13:05:03 EDT
It was discovered that the implementation of the TransformerException class in the JAXP component of OpenJDK failed to properly perform access control checks, related to handling of the DTM exceptions.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.
Comment 1 Tomas Hoger 2017-07-18 15:49:56 EDT
Public now via Oracle CPU July 2017:

http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html#AppendixJAVA

The issue was fixed in Oracle JDK 8u141, 7u151, and 6u161.
Comment 2 Tomas Hoger 2017-07-19 10:10:14 EDT
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jaxp/rev/510b8c8dfdd6
Comment 3 errata-xmlrpc 2017-07-20 12:00:28 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:1792 https://access.redhat.com/errata/RHSA-2017:1792
Comment 4 errata-xmlrpc 2017-07-20 12:02:51 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1791 https://access.redhat.com/errata/RHSA-2017:1791
Comment 5 errata-xmlrpc 2017-07-20 12:18:46 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1790 https://access.redhat.com/errata/RHSA-2017:1790
Comment 6 errata-xmlrpc 2017-07-20 13:50:33 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1789 https://access.redhat.com/errata/RHSA-2017:1789
Comment 7 errata-xmlrpc 2017-08-07 11:07:06 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2424 https://access.redhat.com/errata/RHSA-2017:2424
Comment 8 errata-xmlrpc 2017-08-14 05:49:45 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:2469 https://access.redhat.com/errata/RHSA-2017:2469
Comment 9 errata-xmlrpc 2017-08-15 15:59:37 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:2481 https://access.redhat.com/errata/RHSA-2017:2481
Comment 10 errata-xmlrpc 2017-08-23 05:18:38 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:2530 https://access.redhat.com/errata/RHSA-2017:2530
Comment 11 errata-xmlrpc 2017-12-13 11:52:51 EST
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:3453 https://access.redhat.com/errata/RHSA-2017:3453

Note You need to log in before you can comment on or make changes to this bug.